View Issue Details

IDProjectCategoryView StatusLast Update
0002735Far ManagerPlugins API.Panelpublic2015-10-24 02:02
ReporterJohnDoeAssigned ToDrKnS 
PrioritynormalSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002735: PanelControl: возвращаемое значение
DescriptionВ энциклопедии сказано: В случае успеха возвращается TRUE, иначе FALSE.

При использовании FCTL_SETPANELDIRECTORY независимо от того, удалась ли установка, возвращается TRUE.
Steps To Reproducelua:=panel.SetPanelDirectory(nil,1,"qwerty")
Additional Informationhttp://api.farmanager.com/ru/service_functions/panelcontrol.html#FCTL_SETPANELDIRECTORY
TagsNo tags attached.
Build4280

Activities

JohnDoe

2014-07-18 17:32

updater   bugnote:0012754

Когда-то (0001078) возвращаемое значение FCTL_SETPANELDIRECTORY уже правили...

JohnDoe

2015-03-02 16:06

updater   bugnote:0013562

Исправлено в 4280

Issue History

Date Modified Username Field Change
2014-07-16 21:11 JohnDoe New Issue
2014-07-18 17:32 JohnDoe Note Added: 0012754
2015-03-02 16:06 JohnDoe Note Added: 0013562
2015-10-24 02:02 DrKnS Build => 4280
2015-10-24 02:02 DrKnS Status new => closed
2015-10-24 02:02 DrKnS Assigned To => DrKnS
2015-10-24 02:02 DrKnS Resolution open => fixed
2015-10-24 02:02 DrKnS Fixed in Version => 3.0